summaryrefslogtreecommitdiffstats
path: root/models-sim/policy-models-sim-pdp/src/main/package/docker/docker_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'models-sim/policy-models-sim-pdp/src/main/package/docker/docker_build.sh')
-rw-r--r--models-sim/policy-models-sim-pdp/src/main/package/docker/docker_build.sh65
1 files changed, 65 insertions, 0 deletions
diff --git a/models-sim/policy-models-sim-pdp/src/main/package/docker/docker_build.sh b/models-sim/policy-models-sim-pdp/src/main/package/docker/docker_build.sh
new file mode 100644
index 000000000..eca68cb17
--- /dev/null
+++ b/models-sim/policy-models-sim-pdp/src/main/package/docker/docker_build.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+#
+# Script to build a Docker file for the PDP simulator. The docker image
+# generated by this script should NOT be placed in the ONAP nexus, it is
+# only for testing purposes.
+#
+
+if [ -z "$PDP_SIM_HOME" ]
+then
+ PDP_SIM_HOME=`pwd`
+fi
+
+# Check for the dockerfile
+if [ ! -f "$PDP_SIM_HOME/src/main/package/docker/Dockerfile" ]
+then
+ echo docker file "$PDP_SIM_HOME/src/main/package/docker/Dockerfile" not found
+ exit 1
+fi
+
+# Check for the start script
+if [ ! -f "$PDP_SIM_HOME/src/main/package/docker/pdp-sim.sh" ]
+then
+ echo start script "$PDP_SIM_HOME/src/main/package/docker/pdp-sim.sh" not found
+ exit 1
+fi
+
+# Check for the tarball
+tarball_count=`ls $PDP_SIM_HOME/target/policy-models-sim-pdp-*-SNAPSHOT-tarball.tar.gz 2> /dev/null | wc | awk '{print $1}'`
+if [ "$tarball_count" -ne "1" ]
+then
+ echo one and only one tarball should exist in the target directory
+ exit 2
+fi
+
+# Set up the docker build
+rm -fr $PDP_SIM_HOME/target/docker
+mkdir $PDP_SIM_HOME/target/docker
+cp $PDP_SIM_HOME/src/main/package/docker/Dockerfile $PDP_SIM_HOME/target/docker
+cp $PDP_SIM_HOME/src/main/package/docker/pdp-sim.sh $PDP_SIM_HOME/target/docker
+cp $PDP_SIM_HOME/target/policy-models-sim-pdp-*-SNAPSHOT-tarball.tar.gz $PDP_SIM_HOME/target/docker/policy-models-sim-pdp-tarball.tar.gz
+
+# Run the docker build
+cd $PDP_SIM_HOME/target
+docker build -t pdp/simulator docker
+
+